Changeset 1069


Ignore:
Timestamp:
Sep 16, 2008 7:07:46 PM (11 years ago)
Author:
ladanyi
Message:

changes from BSP + result of run_autotools

Location:
trunk
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/configure

    r1052 r1069  
    28842884        case "$CC" in
    28852885          xlc* | */xlc* | mpxlc* | */mpxlc*)
    2886             coin_opt_cflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
     2886            coin_opt_cflags="-O -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    28872887            coin_add_cflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    28882888            coin_dbg_cflags="-g"
     
    35413541ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
    35423542
    3543 if test -z "$CXX" ; then
    3544   { { echo "$as_me:$LINENO: error: Failed to find a C++ compiler!" >&5
    3545 echo "$as_me: error: Failed to find a C++ compiler!" >&2;}
     3543
     3544#AC_PROG_CXX sets CXX to g++ if it cannot find a working C++ compiler
     3545#thus, we test here whether $CXX is actually working
     3546ac_ext=cc
     3547ac_cpp='$CXXCPP $CPPFLAGS'
     3548ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3549ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3550ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     3551
     3552echo "$as_me:$LINENO: checking whether C++ compiler $CXX works" >&5
     3553echo $ECHO_N "checking whether C++ compiler $CXX works... $ECHO_C" >&6;
     3554cat >conftest.$ac_ext <<_ACEOF
     3555/* confdefs.h.  */
     3556_ACEOF
     3557cat confdefs.h >>conftest.$ac_ext
     3558cat >>conftest.$ac_ext <<_ACEOF
     3559/* end confdefs.h.  */
     3560
     3561int
     3562main ()
     3563{
     3564int i=0;
     3565  ;
     3566  return 0;
     3567}
     3568_ACEOF
     3569rm -f conftest.$ac_objext
     3570if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     3571  (eval $ac_compile) 2>conftest.er1
     3572  ac_status=$?
     3573  grep -v '^ *+' conftest.er1 >conftest.err
     3574  rm -f conftest.er1
     3575  cat conftest.err >&5
     3576  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3577  (exit $ac_status); } &&
     3578         { ac_try='test -z "$ac_cxx_werror_flag"
     3579                         || test ! -s conftest.err'
     3580  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3581  (eval $ac_try) 2>&5
     3582  ac_status=$?
     3583  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3584  (exit $ac_status); }; } &&
     3585         { ac_try='test -s conftest.$ac_objext'
     3586  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3587  (eval $ac_try) 2>&5
     3588  ac_status=$?
     3589  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3590  (exit $ac_status); }; }; then
     3591  echo "$as_me:$LINENO: result: yes" >&5
     3592echo "${ECHO_T}yes" >&6
     3593else
     3594  echo "$as_me: failed program was:" >&5
     3595sed 's/^/| /' conftest.$ac_ext >&5
     3596
     3597echo "$as_me:$LINENO: result: no" >&5
     3598echo "${ECHO_T}no" >&6
     3599   { { echo "$as_me:$LINENO: error: failed to find a C++ compiler or C++ compiler $CXX does not work" >&5
     3600echo "$as_me: error: failed to find a C++ compiler or C++ compiler $CXX does not work" >&2;}
    35463601   { (exit 1); exit 1; }; }
    3547 fi
     3602
     3603fi
     3604rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     3605ac_ext=cc
     3606ac_cpp='$CXXCPP $CPPFLAGS'
     3607ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3608ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3609ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     3610
    35483611
    35493612# It seems that we need to cleanup something here for the Windows
     
    37393802        case "$CXX" in
    37403803          xlC* | */xlC* | mpxlC* | */mpxlC*)
    3741             coin_opt_cxxflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
     3804            coin_opt_cxxflags="-O -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    37423805            coin_add_cxxflags="-bmaxdata:0x80000000 -qrtti=dyna -qsuppress=1500-036 -qsuppress=1500-029 -qsourcetype=c++"
    37433806            coin_dbg_cxxflags="-g"
     
    57525815*-*-irix6*)
    57535816  # Find out which ABI we are using.
    5754   echo '#line 5754 "configure"' > conftest.$ac_ext
     5817  echo '#line 5817 "configure"' > conftest.$ac_ext
    57555818  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    57565819  (eval $ac_compile) 2>&5
     
    68866949
    68876950# Provide some information about the compiler.
    6888 echo "$as_me:6888:" \
     6951echo "$as_me:6951:" \
    68896952     "checking for Fortran 77 compiler version" >&5
    68906953ac_compiler=`set X $ac_compile; echo $2`
     
    79538016   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79548017   -e 's:$: $lt_compiler_flag:'`
    7955    (eval echo "\"\$as_me:7955: $lt_compile\"" >&5)
     8018   (eval echo "\"\$as_me:8018: $lt_compile\"" >&5)
    79568019   (eval "$lt_compile" 2>conftest.err)
    79578020   ac_status=$?
    79588021   cat conftest.err >&5
    7959    echo "$as_me:7959: \$? = $ac_status" >&5
     8022   echo "$as_me:8022: \$? = $ac_status" >&5
    79608023   if (exit $ac_status) && test -s "$ac_outfile"; then
    79618024     # The compiler can only warn and ignore the option if not recognized
     
    82218284   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82228285   -e 's:$: $lt_compiler_flag:'`
    8223    (eval echo "\"\$as_me:8223: $lt_compile\"" >&5)
     8286   (eval echo "\"\$as_me:8286: $lt_compile\"" >&5)
    82248287   (eval "$lt_compile" 2>conftest.err)
    82258288   ac_status=$?
    82268289   cat conftest.err >&5
    8227    echo "$as_me:8227: \$? = $ac_status" >&5
     8290   echo "$as_me:8290: \$? = $ac_status" >&5
    82288291   if (exit $ac_status) && test -s "$ac_outfile"; then
    82298292     # The compiler can only warn and ignore the option if not recognized
     
    83258388   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83268389   -e 's:$: $lt_compiler_flag:'`
    8327    (eval echo "\"\$as_me:8327: $lt_compile\"" >&5)
     8390   (eval echo "\"\$as_me:8390: $lt_compile\"" >&5)
    83288391   (eval "$lt_compile" 2>out/conftest.err)
    83298392   ac_status=$?
    83308393   cat out/conftest.err >&5
    8331    echo "$as_me:8331: \$? = $ac_status" >&5
     8394   echo "$as_me:8394: \$? = $ac_status" >&5
    83328395   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    83338396   then
     
    1067010733  lt_status=$lt_dlunknown
    1067110734  cat > conftest.$ac_ext <<EOF
    10672 #line 10672 "configure"
     10735#line 10735 "configure"
    1067310736#include "confdefs.h"
    1067410737
     
    1077010833  lt_status=$lt_dlunknown
    1077110834  cat > conftest.$ac_ext <<EOF
    10772 #line 10772 "configure"
     10835#line 10835 "configure"
    1077310836#include "confdefs.h"
    1077410837
     
    1311413177   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1311513178   -e 's:$: $lt_compiler_flag:'`
    13116    (eval echo "\"\$as_me:13116: $lt_compile\"" >&5)
     13179   (eval echo "\"\$as_me:13179: $lt_compile\"" >&5)
    1311713180   (eval "$lt_compile" 2>conftest.err)
    1311813181   ac_status=$?
    1311913182   cat conftest.err >&5
    13120    echo "$as_me:13120: \$? = $ac_status" >&5
     13183   echo "$as_me:13183: \$? = $ac_status" >&5
    1312113184   if (exit $ac_status) && test -s "$ac_outfile"; then
    1312213185     # The compiler can only warn and ignore the option if not recognized
     
    1321813281   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1321913282   -e 's:$: $lt_compiler_flag:'`
    13220    (eval echo "\"\$as_me:13220: $lt_compile\"" >&5)
     13283   (eval echo "\"\$as_me:13283: $lt_compile\"" >&5)
    1322113284   (eval "$lt_compile" 2>out/conftest.err)
    1322213285   ac_status=$?
    1322313286   cat out/conftest.err >&5
    13224    echo "$as_me:13224: \$? = $ac_status" >&5
     13287   echo "$as_me:13287: \$? = $ac_status" >&5
    1322513288   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1322613289   then
     
    1478814851   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1478914852   -e 's:$: $lt_compiler_flag:'`
    14790    (eval echo "\"\$as_me:14790: $lt_compile\"" >&5)
     14853   (eval echo "\"\$as_me:14853: $lt_compile\"" >&5)
    1479114854   (eval "$lt_compile" 2>conftest.err)
    1479214855   ac_status=$?
    1479314856   cat conftest.err >&5
    14794    echo "$as_me:14794: \$? = $ac_status" >&5
     14857   echo "$as_me:14857: \$? = $ac_status" >&5
    1479514858   if (exit $ac_status) && test -s "$ac_outfile"; then
    1479614859     # The compiler can only warn and ignore the option if not recognized
     
    1489214955   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1489314956   -e 's:$: $lt_compiler_flag:'`
    14894    (eval echo "\"\$as_me:14894: $lt_compile\"" >&5)
     14957   (eval echo "\"\$as_me:14957: $lt_compile\"" >&5)
    1489514958   (eval "$lt_compile" 2>out/conftest.err)
    1489614959   ac_status=$?
    1489714960   cat out/conftest.err >&5
    14898    echo "$as_me:14898: \$? = $ac_status" >&5
     14961   echo "$as_me:14961: \$? = $ac_status" >&5
    1489914962   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1490014963   then
     
    1709917162   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1710017163   -e 's:$: $lt_compiler_flag:'`
    17101    (eval echo "\"\$as_me:17101: $lt_compile\"" >&5)
     17164   (eval echo "\"\$as_me:17164: $lt_compile\"" >&5)
    1710217165   (eval "$lt_compile" 2>conftest.err)
    1710317166   ac_status=$?
    1710417167   cat conftest.err >&5
    17105    echo "$as_me:17105: \$? = $ac_status" >&5
     17168   echo "$as_me:17168: \$? = $ac_status" >&5
    1710617169   if (exit $ac_status) && test -s "$ac_outfile"; then
    1710717170     # The compiler can only warn and ignore the option if not recognized
     
    1736717430   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1736817431   -e 's:$: $lt_compiler_flag:'`
    17369    (eval echo "\"\$as_me:17369: $lt_compile\"" >&5)
     17432   (eval echo "\"\$as_me:17432: $lt_compile\"" >&5)
    1737017433   (eval "$lt_compile" 2>conftest.err)
    1737117434   ac_status=$?
    1737217435   cat conftest.err >&5
    17373    echo "$as_me:17373: \$? = $ac_status" >&5
     17436   echo "$as_me:17436: \$? = $ac_status" >&5
    1737417437   if (exit $ac_status) && test -s "$ac_outfile"; then
    1737517438     # The compiler can only warn and ignore the option if not recognized
     
    1747117534   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1747217535   -e 's:$: $lt_compiler_flag:'`
    17473    (eval echo "\"\$as_me:17473: $lt_compile\"" >&5)
     17536   (eval echo "\"\$as_me:17536: $lt_compile\"" >&5)
    1747417537   (eval "$lt_compile" 2>out/conftest.err)
    1747517538   ac_status=$?
    1747617539   cat out/conftest.err >&5
    17477    echo "$as_me:17477: \$? = $ac_status" >&5
     17540   echo "$as_me:17540: \$? = $ac_status" >&5
    1747817541   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1747917542   then
     
    2237122434if test $ac_cv_lib_rt_clock_gettime = yes; then
    2237222435  ADDLIBS="-lrt $ADDLIBS"
    22373 else
    22374   { { echo "$as_me:$LINENO: error: --enable-cbc-parallel selected, but -lrt unavailable" >&5
    22375 echo "$as_me: error: --enable-cbc-parallel selected, but -lrt unavailable" >&2;}
    22376    { (exit 1); exit 1; }; }
     22436
     22437cat >>confdefs.h <<\_ACEOF
     22438#define HAVE_CLOCK_GETTIME 1
     22439_ACEOF
     22440
     22441else
     22442  { echo "$as_me:$LINENO: WARNING: --enable-cbc-parallel selected, but -lrt unavailable; using gettimeofday instead of clock_gettime" >&5
     22443echo "$as_me: WARNING: --enable-cbc-parallel selected, but -lrt unavailable; using gettimeofday instead of clock_gettime" >&2;}
    2237722444fi
    2237822445
  • trunk/Cbc/configure.ac

    r836 r1069  
    148148  AC_DEFINE([CBC_THREAD],[1],[Define to 1 if the SMP version of Cbc should be compiled])
    149149  AC_CHECK_LIB([rt],[clock_gettime],
    150                [ADDLIBS="-lrt $ADDLIBS"],
    151                [AC_MSG_ERROR([--enable-cbc-parallel selected, but -lrt unavailable])])
     150               [ADDLIBS="-lrt $ADDLIBS"
     151                AC_DEFINE([HAVE_CLOCK_GETTIME],[1],[Define if clock_gettime and rt library is available])],
     152               [AC_MSG_WARN([--enable-cbc-parallel selected, but -lrt unavailable; using gettimeofday instead of clock_gettime])])
    152153  AC_CHECK_LIB([pthread],[pthread_create],
    153154               [ADDLIBS="-lpthread $ADDLIBS"],
  • trunk/Cbc/inc/config_cbc.h.in

    r710 r1069  
    6262#undef COIN_HAS_XPR
    6363
     64/* Define if clock_gettime and rt library is available */
     65#undef HAVE_CLOCK_GETTIME
     66
    6467/* Define to 1 if you have the <dlfcn.h> header file. */
    6568#undef HAVE_DLFCN_H
  • trunk/Cbc/src/CbcModel.cpp

    r1053 r1069  
    9292#endif
    9393#include <pthread.h>
     94#ifdef HAVE_CLOCK_GETTIME
     95inline int my_gettime(struct timespec* tp) {
     96        return clock_gettime(CLOCK_REALTIME, tp);
     97}
     98#else
     99//struct timespec {
     100//      time_t tv_sec;
     101//      long tv_nsec;
     102//};
     103inline int my_gettime(struct timespec* tp) {
     104        struct timeval tv;
     105        int ret = gettimeofday(&tv, NULL);
     106        tp->tv_sec = tv.tv_sec;
     107        tp->tv_nsec = tv.tv_usec*1000;
     108        return ret;
     109}
     110#endif
    94111//#include "clocktime.hpp"
    95112//#undef small
     
    24192436            pthread_mutex_lock(&condition_mutex);
    24202437            struct timespec absTime;
    2421             clock_gettime(CLOCK_REALTIME,&absTime);
     2438            my_gettime(&absTime);
    24222439            double time = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    24232440            absTime.tv_nsec += 1000000; // millisecond
     
    24272444            }
    24282445            pthread_cond_timedwait(&condition_main,&condition_mutex,&absTime);
    2429             clock_gettime(CLOCK_REALTIME,&absTime);
     2446            my_gettime(&absTime);
    24302447            double time2 = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    24312448            timeWaiting += time2-time;
     
    34053422            pthread_mutex_lock(&condition_mutex);
    34063423            struct timespec absTime;
    3407             clock_gettime(CLOCK_REALTIME,&absTime);
     3424            my_gettime(&absTime);
    34083425            double time = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    34093426            absTime.tv_nsec += 1000000; // millisecond
     
    34133430            }
    34143431            pthread_cond_timedwait(&condition_main,&condition_mutex,&absTime);
    3415             clock_gettime(CLOCK_REALTIME,&absTime);
     3432            my_gettime(&absTime);
    34163433            double time2 = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    34173434            timeWaiting += time2-time;
     
    34673484            pthread_mutex_lock(&condition_mutex);
    34683485            struct timespec absTime;
    3469             clock_gettime(CLOCK_REALTIME,&absTime);
     3486            my_gettime(&absTime);
    34703487            double time = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    34713488            absTime.tv_nsec += 1000000; // millisecond
     
    34753492            }
    34763493            pthread_cond_timedwait(&condition_main,&condition_mutex,&absTime);
    3477             clock_gettime(CLOCK_REALTIME,&absTime);
     3494            my_gettime(&absTime);
    34783495            double time2 = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    34793496            timeWaiting += time2-time;
     
    34913508          pthread_mutex_lock(&condition_mutex);
    34923509          struct timespec absTime;
    3493           clock_gettime(CLOCK_REALTIME,&absTime);
     3510          my_gettime(&absTime);
    34943511          double time = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    34953512          absTime.tv_nsec += 1000000; // millisecond
     
    34993516          }
    35003517          pthread_cond_timedwait(&condition_main,&condition_mutex,&absTime);
    3501           clock_gettime(CLOCK_REALTIME,&absTime);
     3518          my_gettime(&absTime);
    35023519          double time2 = absTime.tv_sec+1.0e-9*absTime.tv_nsec;
    35033520          timeWaiting += time2-time;
     
    35923609        pthread_mutex_lock(&condition_mutex);
    35933610        struct timespec absTime;
    3594         clock_gettime(CLOCK_REALTIME,&absTime);
     3611        my_gettime(&absTime);
    35953612        absTime.tv_nsec += 1000000; // millisecond
    35963613        if (absTime.tv_nsec>=1000000000) {
     
    35993616        }
    36003617        pthread_cond_timedwait(&condition_main,&condition_mutex,&absTime);
    3601         clock_gettime(CLOCK_REALTIME,&absTime);
     3618        my_gettime(&absTime);
    36023619        pthread_mutex_unlock(&condition_mutex);
    36033620      }
     
    71257142              pthread_mutex_lock(&condition_mutex);
    71267143              struct timespec absTime;
    7127               clock_gettime(CLOCK_REALTIME,&absTime);
     7144              my_gettime(&absTime);
    71287145              absTime.tv_nsec += 1000000; // millisecond
    71297146              if (absTime.tv_nsec>=1000000000) {
     
    71597176              pthread_mutex_lock(&condition_mutex);
    71607177              struct timespec absTime;
    7161               clock_gettime(CLOCK_REALTIME,&absTime);
     7178              my_gettime(&absTime);
    71627179              absTime.tv_nsec += 1000000; // millisecond
    71637180              if (absTime.tv_nsec>=1000000000) {
     
    82618278        pthread_mutex_lock(&condition_mutex);
    82628279        struct timespec absTime;
    8263         clock_gettime(CLOCK_REALTIME,&absTime);
     8280        my_gettime(&absTime);
    82648281        absTime.tv_nsec += 1000000; // millisecond
    82658282        if (absTime.tv_nsec>=1000000000) {
     
    82688285        }
    82698286        pthread_cond_timedwait(&condition_main,&condition_mutex,&absTime);
    8270         clock_gettime(CLOCK_REALTIME,&absTime);
     8287        my_gettime(&absTime);
    82718288        pthread_mutex_unlock(&condition_mutex);
    82728289      }
     
    1456314580    while (stuff->returnCode) {
    1456414581      struct timespec absTime2;
    14565       clock_gettime(CLOCK_REALTIME,&absTime2);
     14582      my_gettime(&absTime2);
    1456614583      double time2 = absTime2.tv_sec+1.0e-9*absTime2.tv_nsec;
    1456714584      // timed wait as seems to hang on max nodes at times
    1456814585      absTime2.tv_sec += 10;
    1456914586      pthread_cond_timedwait(condition,mutex,&absTime2);
    14570       clock_gettime(CLOCK_REALTIME,&stuff->absTime);
     14587      my_gettime(&stuff->absTime);
    1457114588      double time = stuff->absTime.tv_sec+1.0e-9*stuff->absTime.tv_nsec;
    1457214589      stuff->timeWaitingToStart+=time-time2;;
     
    1476114778    if(!stuff->locked) {
    1476214779      struct timespec absTime2;
    14763       clock_gettime(CLOCK_REALTIME,&absTime2);
     14780      my_gettime(&absTime2);
    1476414781      double time2 = absTime2.tv_sec+1.0e-9*absTime2.tv_nsec;
    1476514782      pthread_mutex_lock (stuff->mutex);
    1476614783      stuff->locked=true;
    14767       clock_gettime(CLOCK_REALTIME,&stuff->absTime);
     14784      my_gettime(&stuff->absTime);
    1476814785      double time = stuff->absTime.tv_sec+1.0e-9*stuff->absTime.tv_nsec;
    1476914786      stuff->timeWaitingToLock+=time-time2;;
     
    1483714854      pthread_mutex_unlock (stuff->mutex);
    1483814855      struct timespec absTime2;
    14839       clock_gettime(CLOCK_REALTIME,&absTime2);
     14856      my_gettime(&absTime2);
    1484014857      double time2 = absTime2.tv_sec+1.0e-9*absTime2.tv_nsec;
    1484114858      double time = stuff->absTime.tv_sec+1.0e-9*stuff->absTime.tv_nsec;
  • trunk/Cbc/src/CbcSolver.cpp

    r1067 r1069  
    78327832                  bestSolution = new double [n];
    78337833                  OsiClpSolverInterface * clpSolver = dynamic_cast< OsiClpSolverInterface*> (babModel_->solver());
     7834                  // Save bounds on processed model
     7835                  const int * originalColumns = process.originalColumns();
     7836                  int numberColumns2 = clpSolver->getNumCols();
     7837                  double * solution2 = new double[n];
     7838                  double * lower2 = new double [n];
     7839                  double * upper2 = new double [n];
     7840                  for (int i=0;i<n;i++) {
     7841                    solution2[i]=COIN_DBL_MAX;
     7842                    lower2[i]=COIN_DBL_MAX;
     7843                    upper2[i]=-COIN_DBL_MAX;
     7844                  }
     7845                  const double *columnLower = clpSolver->getColLower() ;
     7846                  const double * columnUpper = clpSolver->getColUpper() ;
     7847                  const double * solution = babModel_->bestSolution();
     7848                  for (int i=0;i<numberColumns2;i++) {
     7849                    int jColumn = originalColumns[i];
     7850                    solution2[jColumn]=solution[i];
     7851                    lower2[jColumn]=columnLower[i];
     7852                    upper2[jColumn]=columnUpper[i];
     7853                  }
    78347854                  ClpSimplex * lpSolver = clpSolver->getModelPtr();
    78357855                  // Save bounds on processed model
  • trunk/Cbc/src/Makefile.in

    r1057 r1069  
    166166        CbcHeuristicDiveLineSearch.lo CbcHeuristicDivePseudoCost.lo \
    167167        CbcHeuristicDiveVectorLength.lo CbcHeuristicFPump.lo \
    168         CbcHeuristicGreedy.lo CbcHeuristicLocal.lo CbcHeuristicPivotAndFix.lo \
    169         CbcHeuristicRandRound.lo CbcHeuristicRINS.lo \
    170         CbcMessage.lo CbcModel.lo CbcNode.lo CbcStatistics.lo \
    171         CbcStrategy.lo CbcTree.lo CbcTreeLocal.lo
     168        CbcHeuristicGreedy.lo CbcHeuristicLocal.lo \
     169        CbcHeuristicPivotAndFix.lo CbcHeuristicRandRound.lo \
     170        CbcHeuristicRINS.lo CbcMessage.lo CbcModel.lo CbcNode.lo \
     171        CbcStatistics.lo CbcStrategy.lo CbcTree.lo CbcTreeLocal.lo
    172172libCbc_la_OBJECTS = $(am_libCbc_la_OBJECTS)
    173173libCbcSolver_la_LIBADD =
     
    829829@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcHeuristicLocal.Plo@am__quote@
    830830@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcHeuristicPivotAndFix.Plo@am__quote@
     831@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcHeuristicRINS.Plo@am__quote@
    831832@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcHeuristicRandRound.Plo@am__quote@
    832 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcHeuristicRINS.Plo@am__quote@
    833833@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcLinked.Plo@am__quote@
    834834@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CbcMessage.Plo@am__quote@
  • trunk/configure

    r914 r1069  
    26582658        coin_add_cflags="-pipe"
    26592659        coin_dbg_cflags="-g"
    2660         coin_warn_cflags="-pedantic-errors -Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall"
     2660        coin_warn_cflags="-Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall -Wno-unknown-pragmas"
     2661        case $build in
     2662          *-darwin*)
     2663            ;;
     2664          *)
     2665            coin_warn_cflags="-pedantic-errors $coin_warn_cflags"
     2666            ;;
     2667        esac
    26612668        case $enable_doscompile in
    26622669          mingw)
     
    27312738        case "$CC" in
    27322739          icc* | */icc*)
    2733             coin_opt_cflags="-O3 -ip"
     2740            coin_opt_cflags="-O3 -ip -mp1"
    27342741            coin_add_cflags=""
    27352742            coin_dbg_cflags="-g"
     
    27932800        case "$CC" in
    27942801          xlc* | */xlc* | mpxlc* | */mpxlc*)
    2795             coin_opt_cflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
     2802            coin_opt_cflags="-O -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    27962803            coin_add_cflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    27972804            coin_dbg_cflags="-g"
     
    30883095             fi ;;
    30893096  *-*-solaris*)
    3090              comps="CC xlC aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     3097             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    30913098  *-darwin*) comps="g++ c++ CC" ;;
    3092           *) comps="xlC aCC CC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     3099          *) comps="xlC_r aCC CC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    30933100esac
    30943101
     
    34523459ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
    34533460
    3454 if test -z "$CXX" ; then
    3455   { { echo "$as_me:$LINENO: error: Failed to find a C++ compiler!" >&5
    3456 echo "$as_me: error: Failed to find a C++ compiler!" >&2;}
     3461
     3462#AC_PROG_CXX sets CXX to g++ if it cannot find a working C++ compiler
     3463#thus, we test here whether $CXX is actually working
     3464ac_ext=cc
     3465ac_cpp='$CXXCPP $CPPFLAGS'
     3466ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3467ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3468ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     3469
     3470echo "$as_me:$LINENO: checking whether C++ compiler $CXX works" >&5
     3471echo $ECHO_N "checking whether C++ compiler $CXX works... $ECHO_C" >&6;
     3472cat >conftest.$ac_ext <<_ACEOF
     3473/* confdefs.h.  */
     3474_ACEOF
     3475cat confdefs.h >>conftest.$ac_ext
     3476cat >>conftest.$ac_ext <<_ACEOF
     3477/* end confdefs.h.  */
     3478
     3479int
     3480main ()
     3481{
     3482int i=0;
     3483  ;
     3484  return 0;
     3485}
     3486_ACEOF
     3487rm -f conftest.$ac_objext
     3488if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     3489  (eval $ac_compile) 2>conftest.er1
     3490  ac_status=$?
     3491  grep -v '^ *+' conftest.er1 >conftest.err
     3492  rm -f conftest.er1
     3493  cat conftest.err >&5
     3494  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3495  (exit $ac_status); } &&
     3496         { ac_try='test -z "$ac_cxx_werror_flag"
     3497                         || test ! -s conftest.err'
     3498  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3499  (eval $ac_try) 2>&5
     3500  ac_status=$?
     3501  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3502  (exit $ac_status); }; } &&
     3503         { ac_try='test -s conftest.$ac_objext'
     3504  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3505  (eval $ac_try) 2>&5
     3506  ac_status=$?
     3507  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3508  (exit $ac_status); }; }; then
     3509  echo "$as_me:$LINENO: result: yes" >&5
     3510echo "${ECHO_T}yes" >&6
     3511else
     3512  echo "$as_me: failed program was:" >&5
     3513sed 's/^/| /' conftest.$ac_ext >&5
     3514
     3515echo "$as_me:$LINENO: result: no" >&5
     3516echo "${ECHO_T}no" >&6
     3517   { { echo "$as_me:$LINENO: error: failed to find a C++ compiler or C++ compiler $CXX does not work" >&5
     3518echo "$as_me: error: failed to find a C++ compiler or C++ compiler $CXX does not work" >&2;}
    34573519   { (exit 1); exit 1; }; }
    3458 fi
     3520
     3521fi
     3522rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     3523ac_ext=cc
     3524ac_cpp='$CXXCPP $CPPFLAGS'
     3525ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3526ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3527ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     3528
    34593529
    34603530# It seems that we need to cleanup something here for the Windows
     
    35023572        coin_add_cxxflags="-pipe"
    35033573        coin_dbg_cxxflags="-g"
    3504         coin_warn_cxxflags="-pedantic-errors -Wimplicit -Wparentheses -Wreturn-type -Wcast-qual -Wall -Wpointer-arith -Wwrite-strings -Wconversion"
    3505         case $enable_doscompile in
    3506           mingw)
    3507             CXXFLAGS="-mno-cygwin"
    3508             cat >conftest.$ac_ext <<_ACEOF
     3574        coin_warn_cxxflags="-Wimplicit -Wparentheses -Wreturn-type -Wcast-qual -Wall -Wpointer-arith -Wwrite-strings -Wconversion -Wno-unknown-pragmas"
     3575        case $build in
     3576          *-darwin*)
     3577            ;;
     3578          *)
     3579            coin_warn_cxxflags="-pedantic-errors $coin_warn_cxxflags"
     3580            ;;
     3581        esac
     3582
     3583        case $enable_doscompile in
     3584          mingw)
     3585            CXXFLAGS="-mno-cygwin"
     3586            cat >conftest.$ac_ext <<_ACEOF
    35093587/* confdefs.h.  */
    35103588_ACEOF
     
    35513629rm -f conftest.err conftest.$ac_objext \
    35523630      conftest$ac_exeext conftest.$ac_ext
    3553             CXXFLAGS=
    3554             ;;
    3555         esac
     3631            CXXFLAGS=
     3632          ;;
     3633        esac
    35563634    esac
    35573635  fi
     
    35803658        case "$CXX" in
    35813659          icpc* | */icpc*)
    3582             coin_opt_cxxflags="-O3 -ip"
     3660            coin_opt_cxxflags="-O3 -ip -mp1"
    35833661            coin_add_cxxflags=""
    35843662            coin_dbg_cxxflags="-g"
     
    36423720        case "$CXX" in
    36433721          xlC* | */xlC* | mpxlC* | */mpxlC*)
    3644             coin_opt_cxxflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    3645             coin_add_cxxflags="-bmaxdata:0x80000000 -qrtti=dyna -qsuppress=1500-036 -qsuppress=1500-029"
     3722            coin_opt_cxxflags="-O -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
     3723            coin_add_cxxflags="-bmaxdata:0x80000000 -qrtti=dyna -qsuppress=1500-036 -qsuppress=1500-029 -qsourcetype=c++"
    36463724            coin_dbg_cxxflags="-g"
    36473725            ;;
     
    39224000     fi ;;
    39234001  *-*-solaris*)
    3924      coin_f77_comps="f95 f90 f77 xlf fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
    3925   *) coin_f77_comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
     4002     coin_f77_comps="f95 f90 f77 xlf_r fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
     4003  *) coin_f77_comps="xlf_r fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    39264004 esac
    39274005
     
    40944172
    40954173# Provide some information about the compiler.
    4096 echo "$as_me:4096:" \
     4174echo "$as_me:4174:" \
    40974175     "checking for Fortran 77 compiler version" >&5
    40984176ac_compiler=`set X $ac_compile; echo $2`
     
    43094387        case $F77 in
    43104388          ifort* | */ifort* | IFORT* | */IFORT* )
    4311             coin_opt_fflags='-O3'
    4312             coin_add_fflags='-fpp -nologo -MT'
    4313             coin_dbg_fflags='-debug'
     4389            coin_opt_fflags='-MT -O3'
     4390            coin_add_fflags='-fpp -nologo'
     4391            coin_dbg_fflags='-MTd -debug'
    43144392          ;;
    43154393          compile_f2c*)
     
    43754453        case "$F77" in
    43764454          xlf* | */xlf* | mpxlf* | */mpxlf* )
    4377             coin_opt_fflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
     4455            coin_opt_fflags="-O -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    43784456            coin_add_fflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    43794457            coin_dbg_fflags="-g -C"
     
    63536431*-*-irix6*)
    63546432  # Find out which ABI we are using.
    6355   echo '#line 6355 "configure"' > conftest.$ac_ext
     6433  echo '#line 6433 "configure"' > conftest.$ac_ext
    63566434  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63576435  (eval $ac_compile) 2>&5
     
    83178395   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83188396   -e 's:$: $lt_compiler_flag:'`
    8319    (eval echo "\"\$as_me:8319: $lt_compile\"" >&5)
     8397   (eval echo "\"\$as_me:8397: $lt_compile\"" >&5)
    83208398   (eval "$lt_compile" 2>conftest.err)
    83218399   ac_status=$?
    83228400   cat conftest.err >&5
    8323    echo "$as_me:8323: \$? = $ac_status" >&5
     8401   echo "$as_me:8401: \$? = $ac_status" >&5
    83248402   if (exit $ac_status) && test -s "$ac_outfile"; then
    83258403     # The compiler can only warn and ignore the option if not recognized
     
    85858663   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85868664   -e 's:$: $lt_compiler_flag:'`
    8587    (eval echo "\"\$as_me:8587: $lt_compile\"" >&5)
     8665   (eval echo "\"\$as_me:8665: $lt_compile\"" >&5)
    85888666   (eval "$lt_compile" 2>conftest.err)
    85898667   ac_status=$?
    85908668   cat conftest.err >&5
    8591    echo "$as_me:8591: \$? = $ac_status" >&5
     8669   echo "$as_me:8669: \$? = $ac_status" >&5
    85928670   if (exit $ac_status) && test -s "$ac_outfile"; then
    85938671     # The compiler can only warn and ignore the option if not recognized
     
    86898767   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86908768   -e 's:$: $lt_compiler_flag:'`
    8691    (eval echo "\"\$as_me:8691: $lt_compile\"" >&5)
     8769   (eval echo "\"\$as_me:8769: $lt_compile\"" >&5)
    86928770   (eval "$lt_compile" 2>out/conftest.err)
    86938771   ac_status=$?
    86948772   cat out/conftest.err >&5
    8695    echo "$as_me:8695: \$? = $ac_status" >&5
     8773   echo "$as_me:8773: \$? = $ac_status" >&5
    86968774   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86978775   then
     
    1103411112  lt_status=$lt_dlunknown
    1103511113  cat > conftest.$ac_ext <<EOF
    11036 #line 11036 "configure"
     11114#line 11114 "configure"
    1103711115#include "confdefs.h"
    1103811116
     
    1113411212  lt_status=$lt_dlunknown
    1113511213  cat > conftest.$ac_ext <<EOF
    11136 #line 11136 "configure"
     11214#line 11214 "configure"
    1113711215#include "confdefs.h"
    1113811216
     
    1347813556   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1347913557   -e 's:$: $lt_compiler_flag:'`
    13480    (eval echo "\"\$as_me:13480: $lt_compile\"" >&5)
     13558   (eval echo "\"\$as_me:13558: $lt_compile\"" >&5)
    1348113559   (eval "$lt_compile" 2>conftest.err)
    1348213560   ac_status=$?
    1348313561   cat conftest.err >&5
    13484    echo "$as_me:13484: \$? = $ac_status" >&5
     13562   echo "$as_me:13562: \$? = $ac_status" >&5
    1348513563   if (exit $ac_status) && test -s "$ac_outfile"; then
    1348613564     # The compiler can only warn and ignore the option if not recognized
     
    1358213660   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1358313661   -e 's:$: $lt_compiler_flag:'`
    13584    (eval echo "\"\$as_me:13584: $lt_compile\"" >&5)
     13662   (eval echo "\"\$as_me:13662: $lt_compile\"" >&5)
    1358513663   (eval "$lt_compile" 2>out/conftest.err)
    1358613664   ac_status=$?
    1358713665   cat out/conftest.err >&5
    13588    echo "$as_me:13588: \$? = $ac_status" >&5
     13666   echo "$as_me:13666: \$? = $ac_status" >&5
    1358913667   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1359013668   then
     
    1515215230   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1515315231   -e 's:$: $lt_compiler_flag:'`
    15154    (eval echo "\"\$as_me:15154: $lt_compile\"" >&5)
     15232   (eval echo "\"\$as_me:15232: $lt_compile\"" >&5)
    1515515233   (eval "$lt_compile" 2>conftest.err)
    1515615234   ac_status=$?
    1515715235   cat conftest.err >&5
    15158    echo "$as_me:15158: \$? = $ac_status" >&5
     15236   echo "$as_me:15236: \$? = $ac_status" >&5
    1515915237   if (exit $ac_status) && test -s "$ac_outfile"; then
    1516015238     # The compiler can only warn and ignore the option if not recognized
     
    1525615334   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1525715335   -e 's:$: $lt_compiler_flag:'`
    15258    (eval echo "\"\$as_me:15258: $lt_compile\"" >&5)
     15336   (eval echo "\"\$as_me:15336: $lt_compile\"" >&5)
    1525915337   (eval "$lt_compile" 2>out/conftest.err)
    1526015338   ac_status=$?
    1526115339   cat out/conftest.err >&5
    15262    echo "$as_me:15262: \$? = $ac_status" >&5
     15340   echo "$as_me:15340: \$? = $ac_status" >&5
    1526315341   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1526415342   then
     
    1746317541   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1746417542   -e 's:$: $lt_compiler_flag:'`
    17465    (eval echo "\"\$as_me:17465: $lt_compile\"" >&5)
     17543   (eval echo "\"\$as_me:17543: $lt_compile\"" >&5)
    1746617544   (eval "$lt_compile" 2>conftest.err)
    1746717545   ac_status=$?
    1746817546   cat conftest.err >&5
    17469    echo "$as_me:17469: \$? = $ac_status" >&5
     17547   echo "$as_me:17547: \$? = $ac_status" >&5
    1747017548   if (exit $ac_status) && test -s "$ac_outfile"; then
    1747117549     # The compiler can only warn and ignore the option if not recognized
     
    1773117809   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1773217810   -e 's:$: $lt_compiler_flag:'`
    17733    (eval echo "\"\$as_me:17733: $lt_compile\"" >&5)
     17811   (eval echo "\"\$as_me:17811: $lt_compile\"" >&5)
    1773417812   (eval "$lt_compile" 2>conftest.err)
    1773517813   ac_status=$?
    1773617814   cat conftest.err >&5
    17737    echo "$as_me:17737: \$? = $ac_status" >&5
     17815   echo "$as_me:17815: \$? = $ac_status" >&5
    1773817816   if (exit $ac_status) && test -s "$ac_outfile"; then
    1773917817     # The compiler can only warn and ignore the option if not recognized
     
    1783517913   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1783617914   -e 's:$: $lt_compiler_flag:'`
    17837    (eval echo "\"\$as_me:17837: $lt_compile\"" >&5)
     17915   (eval echo "\"\$as_me:17915: $lt_compile\"" >&5)
    1783817916   (eval "$lt_compile" 2>out/conftest.err)
    1783917917   ac_status=$?
    1784017918   cat out/conftest.err >&5
    17841    echo "$as_me:17841: \$? = $ac_status" >&5
     17919   echo "$as_me:17919: \$? = $ac_status" >&5
    1784217920   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1784317921   then
Note: See TracChangeset for help on using the changeset viewer.